# Offer

### Fields

#### acceptUrl ([String](/graphql-api/api-reference/objects/string.md))

URL to directly accept and pay for the offer.

#### createdAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md)!)

The timestamp when the offer was initialted.

#### detailsUrl ([String](/graphql-api/api-reference/objects/string.md)!)

URL to view and pay for the offer.

#### expiresAt ([ISO8601DateTime](/graphql-api/api-reference/objects/iso-8601-date-time.md))

The timestamp when the offer expires

#### failureUrl ([String](/graphql-api/api-reference/objects/string.md))

An optional URL to redirect the customer if offer has expired.

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

The database ID of this offer.

#### invoice ([Invoice](/graphql-api/api-reference/objects/invoice.md)!)

The associated invoice.

#### invoiceId ([ID](/graphql-api/api-reference/objects/id.md)!)

ID of the associated invoice.

#### offerType ([OfferTypeEnum](/graphql-api/api-reference/objects/offer-type-enum.md)!)

The type of the offer.

#### subscription ([Subscription](/graphql-api/api-reference/objects/subscription.md)!)

The associated subscription.

#### subscriptionId ([ID](/graphql-api/api-reference/objects/id.md)!)

ID of the associated subscription.

#### successUrl ([String](/graphql-api/api-reference/objects/string.md))

An optional URL to redirect the customer after successful payment.

#### token ([String](/graphql-api/api-reference/objects/string.md)!)

Unique token of the offer.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
